Name: udev-extras
Version: 0.20090516
Release: alt4
Summary: Extra rules and tools for udev
License: GPLv2 and GPLv2+
Group: System/Configuration/Hardware
Url: http://git.kernel.org/?p=linux/hotplug/udev-extras.git
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: udev hwdatabase ConsoleKit

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires: glib2-devel gperf hwdatabase libacl-devel libudev-devel libusb-compat-devel xsltproc usbutils

%description
The udev-extras package contains an additional rules and tools
to create and identify devices.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-udev-prefix="" \
	--with-pci-ids-path=%_datadir/hwdatabase/pci.ids

%make_build

%install
%make DESTDIR=%buildroot install

%files
%doc ChangeLog NEWS README TODO keymap/README.keymap.txt
/lib/udev/rules.d/*.rules
/lib/udev/keymaps
/lib/udev/keymap
/lib/udev/*-db
/lib/udev/modem-modeswitch
/lib/udev/udev-acl
/lib/udev/v4l_id
%_prefix/libexec/ConsoleKit/run-session.d/udev-acl.ck
%_datadir/%name
%_man8dir/modem-modeswitch.8*

%changelog
* Wed Oct 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.20090516-alt4
- updated 70-acl.rules (closes: #21850)

* Sat Jul 18 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.20090516-alt3
- fixed pci.ids path

* Mon Jul 13 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.20090516-alt2
- rules: updated sound/alsa

* Mon May 25 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.20090516-alt1
- 20090516

* Tue Apr 21 2009 Valery Inozemtsev <shrek@altlinux.ru> 0.20090226-alt1
- initial release

